GET
/vector_db/{VectorDB_id}
curl --request GET \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.get( "https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/vector_db/{VectorDB_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "GET", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”VectorDB_id
required
integer
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Responses
Section titled “Responses”Vector database instance details retrieved successfully
Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
disk_size
integer
replicas
integer
status
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
vectordb_type
string
sku_details
object
specs
object
sku_id
integer
name
string
series
string
cpu
integer
gpu
integer
memory
integer
is_free
boolean
is_active
boolean
gpu_switch_type
string
local_storage_in_gb
integer
plan
object
sku_item_price_id
integer
sku_type
string
committed_days
integer
unit_price
number format: float
currency
string
is_active
boolean
description
string
endpoint_url
string
ip_enabled
boolean
api_key
string
read_only_api_key
string
dashboard_url
string
number_of_vectors
string
number_of_collections
string
total_peers
string
custom_sku
string
private_cloud_id
string
errors
object
Example
{ "code": 200, "message": "Success", "data": { "id": 327, "name": "tir-qdrant-0709120fd5ghh1616", "disk_size": 30, "replicas": 3, "status": "Running", "created_by": { "id": 3573, "name": "Nipun", "email": "nipun.arora@e2enetworks.com", "username": "nipun.arora@e2enetworks.com" }, "created_at": "2024-11-14T05:42:58.096699Z", "updated_at": "2024-11-14T05:49:24.650496Z", "vectordb_type": "Qdrant", "sku_details": { "specs": { "sku_id": 133, "name": "VDB.16GB", "series": "CPU", "cpu": 4, "gpu": 0, "memory": 16, "is_free": false, "is_active": true, "gpu_switch_type": null, "local_storage_in_gb": 0 }, "plan": { "sku_item_price_id": 635, "sku_type": "hourly", "committed_days": 0, "unit_price": 9, "currency": "INR", "is_active": true, "description": "Hourly Compute Instance" } }, "endpoint_url": "327v04a82908-vectordatabase.e2enetworks.net", "ip_enabled": false, "api_key": "9BtmiMORVjztx9Jqpoooy7PnNlkjM#04", "read_only_api_key": "z7zXhiNBhEcPR5jUJLd@", "dashboard_url": "https://327v04a82908-vectordatabase.e2enetworks.net:6333/dashboard", "number_of_vectors": "0", "number_of_collections": "1", "total_peers": "3", "custom_sku": null, "private_cloud_id": null }, "errors": {}}